cURL
curl --request GET \
--url https://api.juo.io/customer/v1/schedules/adjustments \
--header 'X-Delegated-Token: <api-key>' \
--header 'X-Tenant-ID: <x-tenant-id>'import requests
url = "https://api.juo.io/customer/v1/schedules/adjustments"
headers = {
"X-Tenant-ID": "<x-tenant-id>",
"X-Delegated-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Tenant-ID': '<x-tenant-id>', 'X-Delegated-Token': '<api-key>'}
};
fetch('https://api.juo.io/customer/v1/schedules/adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource": "list",
"hasNextPage": true,
"hasPrevPage": true,
"endCursor": "<string>",
"startCursor": "<string>",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource": "schedule_adjustment",
"customer": "<string>",
"matcher": {
"type": "<string>",
"input": "<unknown>"
},
"action": {
"type": "<string>",
"input": "<unknown>"
},
"actor": {
"id": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Schedule adjustments
List schedule adjustments
Returns a list of schedule adjustments.
GET
/
schedules
/
adjustments
cURL
Authorizations
DelegatedTokenAccessToken
Headers
Unique identifier of the tenant in the system (usually a store identifier)
Query Parameters
See pagination for more details on how to paginate the results.
Required range:
1 <= x <= 100See pagination for more details on how to paginate the results.
Minimum string length:
1See pagination for more details on how to paginate the results.
Minimum string length:
1⌘I